package com.ho.business.service;

import com.ho.business.entity.HisCurveRelate;
import com.ho.business.vo.req.modelType.ModelTypeQueryReq;
import com.ho.business.vo.req.point.HisPointReqVo;
import com.ho.common.tools.entity.SimpleUser;
import com.ho.common.tools.util.PageResult;

import java.util.List;

/**
 * @author gyan
 * @desc: 曲线衍生功能呢
 * @DateTime: 2023/6/20 11:19
 */
public interface HisCurveRelateService {

    void add(HisPointReqVo hisPointReqVo, SimpleUser user);

    PageResult<HisCurveRelate> pageSelectAll(ModelTypeQueryReq vo);

    int delete(String modelId);

    /**
     * 根据模版名称与电站判断是否存在模版
     * @param modelName
     * @param stationId
     * @param userId
     * @return
     */
    boolean hasModelName(String modelName,Integer stationId,String userId);

}
